import { jsx } from '@emotion/core';
import { forwardRef } from 'react';
import { BaseAnchor } from '../BaseAnchor/BaseAnchor.esm.js';
import { getButtonStyles } from '../Button/Button.esm.js';

/** @jsx jsx */
const AnchorButton = /*#__PURE__*/forwardRef((props, ref) => {
  const {
    children,
    size,
    tone,
    variant,
    leftIcon,
    rightIcon,
    textVariant,
    width,
    ...rest
  } = props;
  return jsx(BaseAnchor, { ...getButtonStyles({
      children,
      size,
      tone,
      variant,
      leftIcon,
      rightIcon,
      textVariant,
      width
    }),
    ...rest,
    ref: ref
  });
});

export { AnchorButton };
//# sourceMappingURL=AnchorButton.esm.js.map
