import { jsx, css } from '@emotion/core';
import colors from '../../theme/colors.esm.js';
import { avatarSizeValues, placeholderFontSizes, borderSizeValues } from './constants.esm.js';

/** @jsx jsx */
const baseCss = css({
  background: colors.grey[20],
  borderRadius: "50%",
  display: "inline-flex",
  alignItems: "center",
  justifyContent: "space-around",
  flexShrink: 0,
  overflow: "hidden",
  color: colors.grey[60]
});
// TODO fit placeholder text to its avatar size for cases like +99
function AvatarSkeleton({
  size,
  borderColor,
  ...rest
}) {
  return jsx("span", {
    css: [baseCss, css({
      width: avatarSizeValues[size],
      height: avatarSizeValues[size],
      fontSize: placeholderFontSizes[size],
      border: borderColor ? `${borderSizeValues[size]}px solid ${borderColor}` : undefined
    })],
    ...rest
  });
}

export default AvatarSkeleton;
//# sourceMappingURL=AvatarSkeleton.esm.js.map
