import { forwardRef, createElement } from 'react';
import secureTargetBlankLink from '../../utils/helpers/secureTargetBlankLink.esm.js';

const BaseAnchor = /*#__PURE__*/forwardRef(({
  role,
  target = `_blank`,
  rel,
  children,
  ...rest
}, ref) => /*#__PURE__*/createElement("a", {
  target: target,
  role: role,
  rel: secureTargetBlankLink({
    rel,
    target
  }),
  ...rest,
  ref: ref
}, children));

export { BaseAnchor };
//# sourceMappingURL=BaseAnchor.esm.js.map
