import { forwardRef, createElement, Fragment } from 'react';
import _pt from 'prop-types';

const BaseButton = /*#__PURE__*/forwardRef((props, ref) => {
  const {
    children,
    disabled = false,
    loading = false,
    loadingLabel = `Loading`,
    LoadingIcon,
    type = `button`,
    ButtonComponent = `button`,
    ...rest
  } = props;
  return /*#__PURE__*/createElement(ButtonComponent, {
    disabled: loading ? true : disabled,
    type: type,
    ...rest,
    ref: ref
  }, loading ? /*#__PURE__*/createElement(Fragment, null, loadingLabel && /*#__PURE__*/createElement("span", null, loadingLabel), ` `, LoadingIcon && /*#__PURE__*/createElement(LoadingIcon, null)) : children);
});
BaseButton.propTypes = {
  loading: _pt.bool,
  loadingLabel: _pt.node,
  LoadingIcon: _pt.elementType,
  ButtonComponent: _pt.elementType
};

export { BaseButton };
//# sourceMappingURL=BaseButton.esm.js.map
