import { jsx } from '@emotion/core';
import _pt from 'prop-types';

const baseCss = theme => ({
  fontSize: theme.fontSizes[1],
  wordBreak: "break-word",
  padding: `${theme.space[4]} 0`,
  position: `relative`,
  display: `grid`,
  alignItems: `center`,
  gridTemplateColumns: `30px auto minmax(auto, 125px)`,
  [theme.mediaQueries.tablet]: {
    gridTemplateColumns: `30px minmax(auto, 50%) 120px minmax(100px, 28%)`
  }
});

const iconContainerCss = theme => ({
  alignSelf: `start`,
  display: `flex`,
  alignItems: `center`,
  paddingTop: theme.space[1]
});

function BuildLogEntrySkeleton({
  icon,
  children,
  ...rest
}) {
  return jsx("div", {
    css: baseCss,
    ...rest
  }, jsx("div", {
    css: iconContainerCss
  }, icon), children);
}
BuildLogEntrySkeleton.propTypes = {
  icon: _pt.node.isRequired
};

export { BuildLogEntrySkeleton };
//# sourceMappingURL=BuildLogEntrySkeleton.esm.js.map
