import { jsx } from '@emotion/core';
import { BuildStandardLogEntry } from './BuildStandardLogEntry.esm.js';
import { BuildActivityEntry } from './BuildActivityEntry.esm.js';

/** @jsx jsx */

const baseCss = _theme => ({
  listStyle: `none`,
  margin: 0,
  padding: 0
});

function BuildLogsList({
  logItems,
  "aria-label": ariaLabel,
  className
}) {
  return jsx("div", {
    role: "log",
    className: className
  }, jsx("ol", {
    css: baseCss,
    "aria-label": ariaLabel
  }, logItems.map(logItem => {
    return jsx("li", {
      css: {
        margin: 0
      },
      key: logItem.id
    }, logItem.activity ? jsx(BuildActivityEntry, { ...logItem,
      activity: logItem.activity
    }) : jsx(BuildStandardLogEntry, {
      level: logItem.level,
      message: logItem.message,
      context: logItem.context,
      filePath: logItem.filePath,
      location: logItem.location,
      docsUrl: logItem.docsUrl,
      errorUrl: logItem.errorUrl
    }));
  })));
}

export { BuildLogsList };
//# sourceMappingURL=BuildLogsList.esm.js.map
