import * as React from "react";
import { HeadingProps } from "../Heading";
export declare type CardProps = React.ComponentPropsWithoutRef<"div"> & {
    as?: "article" | "div";
};
export declare function Card({ as: Component, ...rest }: CardProps): JSX.Element;
export declare type CardSectionProps = React.ComponentPropsWithoutRef<"div"> & {
    as?: `div` | `p` | `section` | `header`;
    applyPaddingTop?: boolean;
    applyPaddingBottom?: boolean;
    applyPaddingLeft?: boolean;
    applyPaddingRight?: boolean;
};
export declare function CardSection({ as: Component, applyPaddingTop, applyPaddingBottom, applyPaddingLeft, applyPaddingRight, ...rest }: CardSectionProps): JSX.Element;
export declare type CardHeaderProps = Omit<CardSectionProps, "as" | "title"> & {
    as?: "header" | "div";
    title: React.ReactNode;
    titleAs?: HeadingProps["as"];
};
export declare function CardHeader({ as, title, titleAs, children, ...rest }: CardHeaderProps): JSX.Element;
export declare type CardFooterProps = CardSectionProps;
export declare function CardFooter(props: CardFooterProps): JSX.Element;
export declare type CardDividerProps = React.ComponentPropsWithoutRef<"hr">;
export declare function CardDivider(props: CardDividerProps): JSX.Element;
