import { jsx, css } from '@emotion/core';
import _pt from 'prop-types';
import BaseChip from './BaseChip.esm.js';

const iconCss = css({
  display: "inline-flex",
  alignItems: `center`,
  verticalAlign: `middle`,
  height: `0.875rem`,
  width: `0.875rem`,
  fontSize: `0.875rem`
});
const iconOffsetCss = css({
  marginRight: `0.25rem`
});
const iconOnlyCss = css({
  padding: 0,
  justifyContent: `space-around`
});
function Chip({
  icon = null,
  children,
  ...props
}) {
  return jsx(BaseChip, {
    css: !children && iconOnlyCss,
    ...props
  }, icon && jsx("span", {
    css: [iconCss, children && iconOffsetCss]
  }, icon), children);
}
Chip.propTypes = {
  icon: _pt.oneOfType([_pt.node, _pt.oneOf([null])])
};

export default Chip;
//# sourceMappingURL=Chip.esm.js.map
