import { jsx } from '@emotion/core';
import { useContext, createContext } from 'react';
import _pt from 'prop-types';

const DensityContext = /*#__PURE__*/createContext(`DEFAULT`);
function DensityProvider({
  density = `DEFAULT`,
  children
}) {
  return jsx(DensityContext.Provider, {
    value: density
  }, children);
}
DensityProvider.propTypes = {
  density: _pt.oneOf([`DENSE`, `DEFAULT`, `LOOSE`]),
  children: _pt.node
};
function useDensity() {
  return useContext(DensityContext);
}

export { DensityProvider, useDensity };
//# sourceMappingURL=DensityProvider.esm.js.map
