import * as React from "react";
import { MenuProps, MenuPopoverProps, MenuListProps, MenuButtonProps, MenuItemsProps, MenuItemProps, MenuLinkProps } from "@reach/menu-button";
import { HeadingProps } from "../Heading";
export declare type DropdownMenuProps = MenuProps;
export declare const DropdownMenu: React.FC<DropdownMenuProps>;
export declare type DropdownMenuButtonProps = MenuButtonProps;
export declare const DropdownMenuButton: React.FC<DropdownMenuButtonProps>;
export declare type DropdownMenuButtonStyledProps = DropdownMenuButtonProps;
export declare const DropdownMenuButtonStyled: React.FC<DropdownMenuButtonProps>;
export declare type DropdownMenuSize = `AUTO` | `MAX_CONTENT` | `LEGACY`;
export declare type DropdownMenuItemsProps = MenuListProps & {
    size?: DropdownMenuSize;
};
export declare const DropdownMenuItems: React.FC<DropdownMenuItemsProps>;
export declare type DropdownMenuItemsLowLevelProps = MenuItemsProps & {
    size?: DropdownMenuSize;
};
export declare const DropdownMenuItemsLowLevel: React.FC<DropdownMenuItemsLowLevelProps>;
export declare type DropdownMenuItemTone = "DEFAULT" | "CRITICAL";
export declare type StyledMenuItemProps = {
    Icon?: React.ComponentType<React.ComponentPropsWithoutRef<"svg">>;
    tone?: DropdownMenuItemTone;
};
export declare type DropdownMenuItemProps = MenuItemProps & StyledMenuItemProps;
export declare const DropdownMenuItem: React.FC<DropdownMenuItemProps>;
export declare type DropdownMenuLinkProps = MenuLinkProps & StyledMenuItemProps;
export declare const DropdownMenuLink: import("@reach/utils").ComponentWithAs<"a", DropdownMenuLinkProps>;
export declare type DropdownMenuPopoverProps = MenuPopoverProps;
export declare function DropdownMenuPopover(props: DropdownMenuPopoverProps): JSX.Element;
export declare function useDropdownMenuContext(): import("@reach/menu-button").MenuContextValue;
export declare type DropdownDividerProps = React.ComponentPropsWithoutRef<"hr">;
export declare function DropdownDivider(props: DropdownDividerProps): JSX.Element;
export declare type DropdownHeaderProps = HeadingProps;
export declare const DropdownHeader: ({ children, ...props }: DropdownHeaderProps) => JSX.Element;
