import { jsx } from '@emotion/core';
import { getButtonStyles } from '../Button/Button.esm.js';
import { BaseLink } from '../BaseLink/BaseLink.esm.js';

/** @jsx jsx */
function LinkButton(props) {
  const {
    children,
    size,
    tone,
    variant,
    leftIcon,
    rightIcon,
    textVariant,
    width,
    ...rest
  } = props;
  return jsx(BaseLink, { ...getButtonStyles({
      children,
      size,
      tone,
      variant,
      leftIcon,
      rightIcon,
      textVariant,
      width
    }),
    ...rest
  });
}

export { LinkButton };
//# sourceMappingURL=LinkButton.esm.js.map
