import { keyframes, jsx } from '@emotion/core';
import { ModalContent } from './ModalContent.esm.js';

/** @jsx jsx */
const rotationIncoming = keyframes`
  100% {
     transform: translate(0, 0) scale(1) perspective(1000px) rotateX(0);
  }
`;

const baseCss = theme => ({
  background: theme.colors.white,
  height: `100vh`,
  width: `100%`,
  position: "relative",
  overflowY: `auto`,
  overflowX: `hidden`,
  animation: `${rotationIncoming} 0.5s 0.25s ease forwards`,
  transform: `translate(0, 150vh) scale(0.9) perspective(1000px) rotateX(-90deg)`,
  transformOrigin: `top center`
});

const ModalFullScreen = props => jsx(ModalContent, {
  css: baseCss,
  ...props
});

export { ModalFullScreen };
//# sourceMappingURL=ModalFullScreen.esm.js.map
