import * as React from "react";
import { StyledModalCloseButtonProps } from "./StyledModal";
export declare type StyledPanelProps = {
    children: React.ReactNode;
};
export declare function StyledPanel({ children }: StyledPanelProps): JSX.Element;
export declare type StyledPanelHeaderProps = {
    children: React.ReactNode;
    onCloseButtonClick?: () => void;
    closeButtonLabel?: string;
};
export declare function StyledPanelHeader({ children, onCloseButtonClick, closeButtonLabel, }: StyledPanelHeaderProps): JSX.Element;
export declare type StyledPanelCloseButtonProps = StyledModalCloseButtonProps;
export declare function StyledPanelCloseButton(props: StyledPanelCloseButtonProps): JSX.Element;
export declare type StyledPanelBodySectionProps = React.ComponentPropsWithoutRef<"div">;
export declare function StyledPanelBodySection(props: StyledPanelBodySectionProps): JSX.Element;
export declare type StyledPanelActionsProps = {
    children: React.ReactNode;
};
export declare function StyledPanelActions({ children }: StyledPanelActionsProps): JSX.Element;
export declare type StyledPanelBoilerplateProps = {
    isOpen?: boolean;
    "aria-label": string;
    onClose: () => void;
    header?: React.ReactNode;
    children?: React.ReactNode;
    actions?: React.ReactNode;
};
export declare function StyledPanelBoilerplate({ isOpen, "aria-label": ariaLabel, onClose, header, children, actions, }: StyledPanelBoilerplateProps): JSX.Element;
