import { MdError, MdWarning } from '../../node_modules/react-icons/md/index.esm.esm.js';
import SuccessIcon from '../icons/SuccessIcon.esm.js';

const iconByTone = {
  BRAND: null,
  SUCCESS: SuccessIcon,
  DANGER: MdError,
  WARNING: MdWarning,
  NEUTRAL: null
};
const variants = {
  PRIMARY: tone => {
    return theme => [{
      background: theme.colors.white,
      borderLeft: `${theme.space[2]} solid ${theme.tones[tone].medium}`,
      paddingTop: theme.space[5],
      paddingBottom: theme.space[5],
      paddingLeft: theme.space[6],
      paddingRight: theme.space[7]
    }];
  },
  SECONDARY: tone => {
    return theme => ({
      background: theme.tones[tone].superLight,
      borderRadius: theme.radii[2],
      boxShadow: `0 0 0 1px ${theme.tones[tone].light} inset`,
      padding: `${theme.space[5]} ${theme.space[7]}`
    });
  },
  SOLID: tone => {
    return theme => [{
      background: theme.tones[tone].dark,
      borderRadius: theme.radii[2],
      color: theme.tones[tone].textInverted ? theme.tones[tone].textInverted : theme.colors.white,
      padding: `${theme.space[5]} ${theme.space[7]}`
    }];
  }
};
function getNotificationVariantStyles(variant, tone) {
  return variants[variant](tone);
}

export { getNotificationVariantStyles, iconByTone };
//# sourceMappingURL=Notification.helpers.esm.js.map
