import { jsx } from '@emotion/core';
import _pt from 'prop-types';

const baseCss = theme => ({
  listStyle: `none`,
  margin: 0,
  padding: 0,
  position: `relative`,
  display: `flex`,
  justifyContent: `center`,
  textAlign: `center`,
  paddingTop: theme.space[9],
  counterReset: `section`,
  ":after": {
    borderBottom: `1px solid ${theme.colors.standardLine}`,
    bottom: 0,
    content: `""`,
    left: 0,
    position: `absolute`,
    width: `100%`,
    zIndex: 1
  }
});

function StepIndicator({
  children
}) {
  return jsx("ul", {
    css: theme => [baseCss(theme)]
  }, children);
}
StepIndicator.propTypes = {
  children: _pt.node
};

export { StepIndicator };
//# sourceMappingURL=StepIndicator.esm.js.map
