import { jsx } from '@emotion/core';
import { Fragment } from 'react';
import _pt from 'prop-types';
import { Link } from 'gatsby';
import { stepNumberCss, stepNumberActiveCss, stepNumberDoneCss, labelCss, labelInactiveCss, labelActiveCss, baseCss, activeCss, linkCss } from './StepIndicatorStep.styles.esm.js';

function StepIndicatorStep({
  children,
  to,
  status = `DEFAULT`,
  onClick
}) {
  const label = jsx(Fragment, null, jsx("span", {
    css: theme => [stepNumberCss(theme), status === `ACTIVE` && stepNumberActiveCss(theme), status === `DONE` && stepNumberDoneCss(theme)]
  }), jsx("span", {
    css: theme => [labelCss(), status === `DEFAULT` && labelInactiveCss(theme), status === `DONE` && labelInactiveCss(theme), status === `ACTIVE` && labelActiveCss()]
  }, children));
  return jsx("li", {
    css: theme => [baseCss(theme), status === `ACTIVE` && activeCss(theme)]
  }, to ? jsx(Link, {
    to: to,
    onClick: onClick,
    css: linkCss
  }, label) : label);
}
StepIndicatorStep.propTypes = {
  children: _pt.node,
  to: _pt.string,
  status: _pt.oneOf([`DEFAULT`, `ACTIVE`, `DONE`])
};

export { StepIndicatorStep };
//# sourceMappingURL=StepIndicatorStep.esm.js.map
