import { jsx } from '@emotion/core';
import { Fragment } from 'react';
import { DisableReachStyleCheck } from '../../utils/helpers/DisableReachStyleCheck.esm.js';
import { Tabs as Tabs$1, TabsOrientation, TabList as TabList$1, TabPanels as TabPanels$1, TabPanel as TabPanel$1, Tab as Tab$1, useTabsContext as useTabsContext$1 } from '@reach/tabs';
export { TabsKeyboardActivation } from '@reach/tabs';
import { tabsStyles } from './Tabs.styles.esm.js';

/** @jsx jsx */

function Tabs(props) {
  return jsx(Fragment, null, jsx(Tabs$1, {
    css: tabsStyles.tabs,
    ...props,
    orientation: TabsOrientation.Horizontal
  }), jsx(DisableReachStyleCheck, {
    reachComponent: "tabs"
  }));
}
function TabList(props) {
  return jsx(TabList$1, {
    css: tabsStyles.tabList,
    ...props
  });
}
function TabPanels(props) {
  return jsx(TabPanels$1, { ...props
  });
}
function TabPanel(props) {
  return jsx(TabPanel$1, { ...props
  });
}
function Tab(props) {
  return jsx(Tab$1, {
    css: theme => [tabsStyles.tab(theme), tabsStyles.tabButton(theme), {
      "&[data-selected]": tabsStyles.tabButtonSelected(theme)
    }],
    ...props
  });
}
function useTabsContext() {
  return useTabsContext$1();
}

export { Tab, TabList, TabPanel, TabPanels, Tabs, useTabsContext };
//# sourceMappingURL=Tabs.esm.js.map
