import { useMemo, createElement } from 'react';
import _pt from 'prop-types';
import { useThemeUI, ThemeProvider as ThemeProvider$1 } from 'theme-ui';
import { getTheme } from '../../theme/index.esm.js';

function ThemeProvider({
  children,
  theme
}) {
  const themeValue = useMemo(() => {
    const baseTheme = getTheme();

    if (typeof theme === "function") {
      return theme(baseTheme);
    }

    return theme || baseTheme;
  }, [theme, getTheme]);
  return /*#__PURE__*/createElement(ThemeProvider$1, {
    theme: themeValue
  }, children);
} // To distinguish from Theme UI's ThemeProvider

ThemeProvider.propTypes = {
  children: _pt.node
};
ThemeProvider.displayName = "GatsbyInterfaceThemeProvider";
function useTheme() {
  // @ts-ignore
  return useThemeUI().theme;
}

export default ThemeProvider;
export { useTheme };
//# sourceMappingURL=ThemeProvider.esm.js.map
