import { createContext, useContext } from 'react';

const ToastContext = /*#__PURE__*/createContext({
  showToast: () => undefined
});
function useToastContext() {
  const context = useContext(ToastContext);

  if (!context) {
    throw new Error(`Toast hooks cannot be used outside the ToastProvider component`);
  }

  return context;
}

export { ToastContext, useToastContext };
//# sourceMappingURL=ToastContext.esm.js.map
