import * as React from "react";
import { ToastOptions } from "./ToastContext";
import { ToastTone } from "./types";
export declare const useShowToast: () => (message: React.ReactNode, toastArg?: Partial<ToastOptions> | undefined) => void;
export declare const useShowSuccessToast: () => (message: React.ReactNode, options?: Omit<Partial<ToastOptions>, "tone">) => void;
export interface ToastData {
    id: symbol;
    message: React.ReactNode;
    tone: ToastTone;
}
export declare const useToastActions: () => {
    toasts: ToastData[];
    showToast: (message: React.ReactNode, { tone, timeout, }?: Partial<ToastOptions>) => void;
    removeToast: (toastId: symbol) => void;
};
