import { jsx } from '@emotion/core';

/** @jsx jsx */
function ToggleGutter(props) {
  return jsx("span", { ...props,
    "aria-hidden": true,
    css: theme => [{
      background: theme.colors.grey[30],
      borderRadius: theme.radii[5],
      cursor: `pointer`,
      display: `inline-block`,
      height: `24px`,
      padding: `3px`,
      transition: `all .3s ease, background .5s`,
      userSelect: `none`,
      width: `48px`,
      ":after": {
        background: theme.colors.white,
        position: `relative`,
        display: `block`,
        content: `""`,
        width: `18px`,
        height: `18px`,
        borderRadius: theme.radii[5],
        transition: `all 0.1s ease`,
        left: 0
      },
      ":active": {
        ":after": {
          width: `24px`
        }
      }
    }]
  });
}
const ToggleGutterTagName = "span";
const toggleGutterFocusCss = theme => ({
  boxShadow: `0 0 0 3px ${theme.colors.blue[30]}`,
  outline: `0`
});
const toggleGutterCheckedCss = (tone = `BRAND`) => theme => ({
  background: theme.tones[tone].medium,
  ":after": {
    left: `calc(100% - 18px)`
  },
  ":active": {
    ":after": {
      left: `calc(100% - 24px)`
    }
  }
});

export default ToggleGutter;
export { ToggleGutterTagName, toggleGutterCheckedCss, toggleGutterFocusCss };
//# sourceMappingURL=ToggleGutter.esm.js.map
