import { createElement } from 'react';
import 'prop-types';
import Portal from '../Portal/index.esm.js';

const pointerPosition = {
  top: pointerPositionTop,
  bottom: pointerPositionBottom
};
function TooltipPointer({
  position,
  triggerRect,
  style = {}
}) {
  const getPointerPosition = pointerPosition[position];
  const positionStyle = triggerRect ? getPointerPosition(triggerRect) : {};
  return /*#__PURE__*/createElement(Portal, null, /*#__PURE__*/createElement("div", {
    style: { ...positionStyle,
      position: "absolute",
      width: 0,
      height: 0,
      ...style
    }
  }));
}
const TOOLTIP_POINTER_SIZE = 6;
const TOOLTIP_POINTER_ADJUST = 0;
const pointerBorderTransparent = `${TOOLTIP_POINTER_SIZE}px solid transparent`;
const pointerBorderFilled = `${TOOLTIP_POINTER_SIZE}px solid black`;

function pointerPositionBottom(triggerRect) {
  return {
    borderLeft: pointerBorderTransparent,
    borderRight: pointerBorderTransparent,
    borderBottom: pointerBorderFilled,
    left: getPositionOffsetLeft(triggerRect),
    top: triggerRect.bottom + window.scrollY + TOOLTIP_POINTER_ADJUST
  };
}

function pointerPositionTop(triggerRect) {
  return {
    borderLeft: pointerBorderTransparent,
    borderRight: pointerBorderTransparent,
    borderTop: pointerBorderFilled,
    left: getPositionOffsetLeft(triggerRect),
    top: triggerRect.top - TOOLTIP_POINTER_SIZE + window.scrollY - TOOLTIP_POINTER_ADJUST
  };
}

function getPositionOffsetLeft(triggerRect) {
  return triggerRect.left + triggerRect.width / 2 - TOOLTIP_POINTER_SIZE;
}

export default TooltipPointer;
export { TOOLTIP_POINTER_ADJUST, TOOLTIP_POINTER_SIZE };
//# sourceMappingURL=TooltipPointer.esm.js.map
