import { jsx } from '@emotion/core';
import _pt from 'prop-types';
import { visuallyHiddenCss } from '../../stylesheets/a11y.esm.js';

function VisuallyHidden({
  children,
  ...rest
}) {
  return jsx("span", {
    css: visuallyHiddenCss,
    ...rest
  }, children);
}
VisuallyHidden.propTypes = {
  children: _pt.node.isRequired
};

export { VisuallyHidden };
//# sourceMappingURL=VisuallyHidden.esm.js.map
