import { jsx } from '@emotion/core';
import { forwardRef } from 'react';
import _pt from 'prop-types';
import { useConnectedField } from '../hooks/useConnectedField.esm.js';
import { CheckboxFieldBlock } from './CheckboxFieldBlock.esm.js';

const CheckboxConnectedField = /*#__PURE__*/forwardRef(function CheckboxConnectedField(props, ref) {
  const [connectedProps] = useConnectedField({
    name: props.name,
    type: `checkbox`
  });
  return jsx(CheckboxFieldBlock, {
    ref: ref,
    ...connectedProps,
    ...props
  });
});
CheckboxConnectedField.propTypes = {
  name: _pt.string.isRequired,
  id: _pt.string,
  label: _pt.node
};

export { CheckboxConnectedField };
//# sourceMappingURL=CheckboxConnectedField.esm.js.map
