import { jsx } from '@emotion/core';
import { forwardRef } from 'react';
import _pt from 'prop-types';
import { InputFieldBlock } from './InputFieldBlock.esm.js';
import { useConnectedField } from '../hooks/useConnectedField.esm.js';

const InputConnectedField = /*#__PURE__*/forwardRef(function InputConnectedField(props, ref) {
  const [connectedProps] = useConnectedField(props.name);
  return jsx(InputFieldBlock, {
    ref: ref,
    ...connectedProps,
    ...props
  });
});
InputConnectedField.propTypes = {
  name: _pt.string.isRequired,
  id: _pt.string,
  label: _pt.node
};

export { InputConnectedField };
//# sourceMappingURL=InputConnectedField.esm.js.map
