import { jsx } from '@emotion/core';
import { forwardRef } from 'react';
import { FormFieldBlock } from './FormFieldBlock.esm.js';
import { StyledInput } from './styled-primitives/StyledInput.esm.js';

/** @jsx jsx */
const InputFieldBlock = /*#__PURE__*/forwardRef(function InputFieldBlock(props, ref) {
  const {
    id,
    label,
    labelSize,
    error,
    hint,
    className,
    validationMode,
    layout,
    required,
    ...rest
  } = props;
  return jsx(FormFieldBlock, {
    id: id,
    label: label,
    error: error,
    hint: hint,
    required: required,
    labelSize: labelSize,
    validationMode: validationMode,
    layout: layout,
    className: className
  }, controlProps => jsx(StyledInput, {
    ref: ref,
    ...controlProps,
    css: {
      width: `100%`
    },
    ...rest
  }));
});

export { InputFieldBlock };
//# sourceMappingURL=InputFieldBlock.esm.js.map
