import { jsx } from '@emotion/core';
import { forwardRef } from 'react';
import _pt from 'prop-types';
import { useConnectedField } from '../hooks/useConnectedField.esm.js';
import { SelectFieldBlock } from './SelectFieldBlock.esm.js';

const SelectConnectedField = /*#__PURE__*/forwardRef(function SelectConnectedField(props, ref) {
  const [connectedProps] = useConnectedField(props.name);
  return jsx(SelectFieldBlock, {
    ref: ref,
    ...connectedProps,
    ...props
  });
});
SelectConnectedField.propTypes = {
  name: _pt.string.isRequired,
  id: _pt.string,
  label: _pt.node
};

export { SelectConnectedField };
//# sourceMappingURL=SelectConnectedField.esm.js.map
