import { jsx } from '@emotion/core';
import { forwardRef } from 'react';
import { FormFieldBlock } from './FormFieldBlock.esm.js';
import { StyledSelect } from './styled-primitives/StyledSelect.esm.js';

/** @jsx jsx */
const SelectFieldBlock = /*#__PURE__*/forwardRef(function SelectFieldBlock(props, ref) {
  const {
    id,
    label,
    labelSize,
    error,
    hint,
    className,
    validationMode,
    layout,
    required,
    ...rest
  } = props;
  return jsx(FormFieldBlock, {
    id: id,
    label: label,
    error: error,
    hint: hint,
    required: required,
    labelSize: labelSize,
    validationMode: validationMode,
    layout: layout,
    className: className
  }, controlProps => jsx(StyledSelect, {
    ref: ref,
    ...controlProps,
    ...rest
  }));
});

export { SelectFieldBlock };
//# sourceMappingURL=SelectFieldBlock.esm.js.map
