import { jsx } from '@emotion/core';
import { forwardRef } from 'react';
import _pt from 'prop-types';
import { useConnectedField } from '../hooks/useConnectedField.esm.js';
import { TextAreaFieldBlock } from './TextAreaFieldBlock.esm.js';

const TextAreaConnectedField = /*#__PURE__*/forwardRef(function TextAreaConnectedField(props, ref) {
  const [connectedProps] = useConnectedField(props.name);
  return jsx(TextAreaFieldBlock, {
    ref: ref,
    ...connectedProps,
    ...props
  });
});
TextAreaConnectedField.propTypes = {
  name: _pt.string.isRequired,
  id: _pt.string,
  label: _pt.node
};

export { TextAreaConnectedField };
//# sourceMappingURL=TextAreaConnectedField.esm.js.map
