import * as React from "react";
import { FormGroupOptionsDirection } from "../../types";
export declare type FormErrorProps = React.ComponentPropsWithoutRef<"div">;
export declare function FormError({ children, ...rest }: FormErrorProps): JSX.Element;
export declare type FormHintProps = React.ComponentPropsWithoutRef<"div">;
export declare function FormHint(props: FormHintProps): JSX.Element;
export declare type StyledLabelSize = "L" | "M" | "S";
declare type StyledLabelOptions = {
    labelSize?: StyledLabelSize;
    required?: boolean;
};
export declare type StyledLabelProps = React.ComponentPropsWithoutRef<"label"> & StyledLabelOptions;
export declare function StyledLabel({ children, required, labelSize, ...rest }: StyledLabelProps): JSX.Element | null;
export declare type FormLegendProps = React.ComponentPropsWithoutRef<"legend"> & StyledLabelOptions;
export declare function FormLegend({ children, required, labelSize, ...rest }: FormLegendProps): JSX.Element | null;
export declare type FormFieldsetProps = React.ComponentPropsWithoutRef<"fieldset">;
export declare function FormFieldset(props: FormFieldsetProps): JSX.Element;
export declare type OptionsContainerProps = React.ComponentPropsWithoutRef<"div"> & {
    optionsDirection?: FormGroupOptionsDirection;
    maxHeight?: string;
};
export declare function OptionsContainer({ optionsDirection, maxHeight, ...rest }: OptionsContainerProps): JSX.Element;
export {};
