import { jsx } from '@emotion/core';
import { forwardRef } from 'react';
import { baseInputCss } from '../../styles/index.esm.js';

/** @jsx jsx */
const StyledInput = /*#__PURE__*/forwardRef(function InputFieldControl(props, ref) {
  const placeholder = props.placeholder && props.disabled ? `The field is disabled` : props.placeholder;

  const baseCss = theme => [baseInputCss(theme), {
    width: `auto`
  }];

  return jsx("input", {
    ref: ref,
    css: baseCss,
    ...props,
    placeholder: placeholder
  });
});

export { StyledInput };
//# sourceMappingURL=StyledInput.esm.js.map
