import { jsx } from '@emotion/core';
import { forwardRef } from 'react';
import { baseInputCss } from '../../styles/index.esm.js';

/** @jsx jsx */
const StyledTextArea = /*#__PURE__*/forwardRef(function StyledTextArea(props, ref) {
  const placeholder = props.placeholder && props.disabled ? `The field is disabled` : props.placeholder;

  const baseCss = theme => [baseInputCss(theme), {
    display: `block`,
    height: `auto`,
    minHeight: `4.85em`,
    resize: `vertical`,
    padding: `${theme.space[2]} ${theme.space[3]}`
  }];

  return jsx("textarea", {
    ref: ref,
    css: baseCss,
    ...props,
    placeholder: placeholder
  });
});

export { StyledTextArea };
//# sourceMappingURL=StyledTextArea.esm.js.map
