import Case from 'case';
import { useField } from 'formik';

function useConnectedField(propsOrFieldName) {
  const name = typeof propsOrFieldName === `string` ? propsOrFieldName : propsOrFieldName.name;
  const id = `${name}Field`;
  const label = Case.sentence(name);
  const [field, meta, helpers] = useField(propsOrFieldName);
  const connectedProps = { ...field,
    id,
    label,
    error: meta.touched ? meta.error : ""
  };
  return [connectedProps, field, meta, helpers];
}

export { useConnectedField };
//# sourceMappingURL=useConnectedField.esm.js.map
