import { createElement } from 'react';

const iconHeightBySize = {
  inherit: `1em`,
  xxsmall: `16px`,
  xsmall: `20px`,
  small: `24px`,
  medium: `32px`,
  large: `40px`
};
function IconSkeleton({
  iconName,
  size = `small`,
  style,
  applyColorToStroke = true,
  ...rest
}) {
  return /*#__PURE__*/createElement("svg", {
    preserveAspectRatio: "xMidYMid meet",
    height: iconHeightBySize[size],
    width: iconHeightBySize[size],
    viewBox: "0 0 24 24",
    fill: applyColorToStroke ? `none` : `currentColor`,
    stroke: applyColorToStroke ? `currentColor` : `none`,
    strokeWidth: "1",
    fillRule: "evenodd",
    "data-testid": `icon-${iconName}`,
    style: {
      verticalAlign: `middle`,
      ...(style || {})
    },
    "aria-hidden": true,
    ...rest
  });
}

export default IconSkeleton;
export { iconHeightBySize };
//# sourceMappingURL=IconSkeleton.esm.js.map
